26.04.2017 18:10
twix
 
Документацию по языку надо почаще читать. (%
Большинство проблемных мест, которые ты обозначил как внезапно депрекейтнутые, ещё в пятой версии форсились на устранение.
Положил болт на предупреждения разработчиков - получил кулёк геморроя. (:
26.04.2017 20:20
OlegON
 
Эээ, я все понимаю, но с какого бы такое обеспечение хлеба веб-мастерам-то? :)
Я хочу, чтобы просто работало и ничего не пропадало. Какая разница, получить ли мне геморрой в 5й версии или сейчас? Я не про то, что внезапно, у меня 5я версия еще до сих пор стоит, просто переключение на 7ю сделал. Просто вот так вот взять и повыкидывать ведро функций... Я вообще не программист. А мне такое вот выковыривать приходится.
26.04.2017 21:13
twix
 
Цитата:
OlegON Я хочу, чтобы просто работало и ничего не пропадало.

Так не обновлялся бы. В чём баттхёрт-то?
26.04.2017 22:35
OlegON
 
Баттхёрт в том, что есть такая штука, как зависимости. Я не могу не обновлять всю систему из-за одного пыха. Собственно, почему бы обратную совместимость не поддерживать? Пусть бы медленно работали, например, просто тупо не трогать эту часть кода.
27.04.2017 16:14
twix
 
Цитата:
OlegON Баттхёрт в том, что есть такая штука, как зависимости. Я не могу не обновлять всю систему из-за одного пыха. Собственно, почему бы обратную совместимость не поддерживать? Пусть бы медленно работали, например, просто тупо не трогать эту часть кода.
В случае с юбунтой, пятый пых пропал из реп для последних версий ОС, да. Но существуют левые репы, из которых можно поставить и поддерживать последние версии пятого пыха. И система обновлена, и пых - старый (надёжный, проверенный).

Обновление системы не обязательно означает обновление ВСЕГО, тем более, когда оно не желательно.
Собственно, я так и сделал на рабочем компе: обновился до 16.04 ЛТС, и подключил репу ondrej, чтобы вернуть взад 5-й пых (7-й, который обновлятор вкрячил на его место, ес-но, снёс). И всё чики-пуки.

Ну а вообще, видно, опять кто-то другой виноват. (;
27.04.2017 17:04
OlegON
 
Не знаю, кто там у тебя другой, но у меня на Gentoo стоят обе версии в разных слотах. 5й я пока не удалил, он в стабильных, но придет и его время. Про левость реп ты сам сказал. Левые репы - прямая дорога к нестабильности системы. Мне в Gentoo еще и собирать все это приходится, да, т.е. зависимостей побольше и их влияние на то, что что-то не соберется - больше. Соскочить бы рад, но форум 24х7, а другого сервера у меня нет.
27.09.2017 12:18
OlegON
 
В общем, ищу утилиты и советы, как это все можно мигрировать наиболее безболезненно. Если честно, уже запарился вручную все править, в форумном движке тысячи строк на изменение, затянулось все очень...
Из утилит, что нашел:

php7mar

php7cc

phan

php-to-7-aid

Форум на базе vBulletin®
Copyright © Jelsoft Enterprises Ltd.
В случае заимствования информации гипертекстовая индексируемая ссылка на Форум обязательна.